commit:     8e60b765c71d6148f8841ab9cb942c581fd7f52e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  6 04:45:01 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar  6 04:52:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e60b765

dev-libs/isa-l: Bump to 2.32.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/isa-l/Manifest            |  1 +
 dev-libs/isa-l/isa-l-2.32.0.ebuild | 51 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-libs/isa-l/Manifest b/dev-libs/isa-l/Manifest
index 6a34dbae5f96..ed079b080c73 100644
--- a/dev-libs/isa-l/Manifest
+++ b/dev-libs/isa-l/Manifest
@@ -1 +1,2 @@
 DIST isa-l-2.31.1.tar.gz 741732 BLAKE2B 
f23d3f4f23665c719077e5bdc85434343ad41a7c1435524523e3e997db535f7158a664721760fff6ffb38a50fce8b300422e1e1e93364af63a487cd16d16534a
 SHA512 
65199d054af1edc26d477883f7878f25fd4db65622aa98247069f1296c5f07b75da24f0361a6c3889ddb3168d940b508cd2f6340548a62ff3157977179fd002d
+DIST isa-l-2.32.0.tar.gz 842403 BLAKE2B 
bf2de03d14ae1f9c224881aa5b98bd40ac1e27a58f0e2f3cbc510ecf4f34b4642dfd7beeb33115086ef7d3d4fbe3222e3625fede9f5ce22ab53f1199e0f26418
 SHA512 
e09f6e6f39d60b06b7a62d0e5c0be5e86b26efc375235e84f7c9aa85f4706883e7f0b40cc9cbced4ac27db2f19ac9c36f45b93454652a36fe46aa297200d4aeb

diff --git a/dev-libs/isa-l/isa-l-2.32.0.ebuild 
b/dev-libs/isa-l/isa-l-2.32.0.ebuild
new file mode 100644
index 000000000000..b5f648f38e51
--- /dev/null
+++ b/dev-libs/isa-l/isa-l-2.32.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit autotools
+
+DESCRIPTION="Intelligent Storage Acceleration Library"
+HOMEPAGE="https://github.com/intel/isa-l";
+SRC_URI="https://github.com/intel/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+
+BDEPEND="
+       amd64? ( || (
+               >=dev-lang/nasm-2.11.01
+               >=dev-lang/yasm-1.2.0
+       ) )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.31.0_no-fortify-source.patch
+       "${FILESDIR}"/${PN}-2.31.0_user-ldflags.patch
+)
+
+src_prepare() {
+       default
+
+       # isa-l does not support arbitrary assemblers on amd64 and x86,
+       # it must be either nasm or yasm.
+       if use amd64; then
+               unset AS
+       fi
+
+       # upstream is using D for their own purposes, sigh
+       sed -i -e 's:${D}:${DIST_D}:' Makefile.am || die
+
+       eautoreconf
+}
+
+src_compile() {
+       unset ARCH
+       default
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to